# SoButtonEvent Class Reference
[Event classes]

`#include <Inventor/events/SoButtonEvent.h>`

Inheritance diagram for SoButtonEvent:

List of all members.

## Detailed Description

The SoButtonEvent class is the base class for all button events.

The event classes which results from the user pushing buttons on some device (keyboard, mouse or spaceball) all inherit this class. The SoButtonEvent class contains methods for setting and getting the state of the button(s).

See also:
  SoEvent, SoKeyboardEvent, SoMouseButtonEvent, SoSpaceballButtonEvent

  SoEventCallback, SoHandleEventAction

## Public Types

enum | State { UP, DOWN, UNKNOWN }

## Public Member Functions

| SoButtonEvent (void)
virtual | ~SoButtonEvent ()
void | setState (SoButtonEvent::State state)
SoButtonEvent::State | getState (void) const

## Static Public Member Functions

void | initClass (void)

## Member Enumeration Documentation

enum SoButtonEvent::State

This gives the actual state of the button.

Enumeration values:

  UP | Button has been released.
  DOWN | Button has been pressed down.
  UNKNOWN | The state of the button is unknown.

## Constructor & Destructor Documentation

SoButtonEvent::SoButtonEvent | ( | void |  | ) |

| Constructor.

SoButtonEvent::~SoButtonEvent | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoButtonEvent::setState | ( | SoButtonEvent::State | state | ) |

Set the state of the button which the user interacted with.

This method is used from the window specific device classes when translating events to the generic Coin library.

See also:
  getState()

SoButtonEvent::State SoButtonEvent::getState | ( | void |  | ) | const

Returns the state of the button which is the cause of the event, i.e. whether it was pushed down or released.

See also:
  wasShiftDown(), wasCtrlDown(), wasAltDown(), getPosition(), getTime()

void SoButtonEvent::initClass | ( | void |  | ) | `[static]`

| Initialize the type information data. Reimplemented from SoEvent. Reimplemented in SoKeyboardEvent, SoMouseButtonEvent, and SoSpaceballButtonEvent.

The documentation for this class was generated from the following files:

- SoButtonEvent.h
- SoButtonEvent.cpp